[med-svn] r6404 - trunk/packages/biomaj-watcher/trunk/debian

olivier sallou osallou-guest at alioth.debian.org
Wed Mar 30 12:15:35 UTC 2011


Author: osallou-guest
Date: 2011-03-30 12:15:08 +0000 (Wed, 30 Mar 2011)
New Revision: 6404

Modified:
   trunk/packages/biomaj-watcher/trunk/debian/control
   trunk/packages/biomaj-watcher/trunk/debian/postinst
   trunk/packages/biomaj-watcher/trunk/debian/postrm
   trunk/packages/biomaj-watcher/trunk/debian/prerm
Log:
update scripts to accept arguments

Modified: trunk/packages/biomaj-watcher/trunk/debian/control
===================================================================
--- trunk/packages/biomaj-watcher/trunk/debian/control	2011-03-30 11:45:22 UTC (rev 6403)
+++ trunk/packages/biomaj-watcher/trunk/debian/control	2011-03-30 12:15:08 UTC (rev 6404)
@@ -8,12 +8,12 @@
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/biomaj-watcher/trunk/?rev=0&sc=0
 Homepage: http://biomaj.genouest.org
 Build-Depends: debhelper (>= 7),ant(>=1.7)
-Build-Depends-Indep: debconf, po-debconf,liblog4j1.2-java,libcommons-lang-java,libcommons-logging-java,libjsch-java,libjdom1-java,libquartz-java(>=1.6),libxerces2-java,biomaj(>=1.1)
+Build-Depends-Indep: debconf, po-debconf,liblog4j1.2-java,libcommons-lang-java,libcommons-logging-java,libjsch-java,libjdom1-java,libquartz-java(>=1.6),libxerces2-java,biomaj(>=1.1),javahelper (>=0.25)
 Standards-Version: 3.9.1
 
 Package: biomaj-watcher
 Architecture: all
-Depends: openjdk-6-jdk, tomcat6, zip, biomaj (>= 1.1), debconf, ${misc:Depends}
+Depends: openjdk-6-jdk, tomcat6, zip, biomaj (>= 1.1), debconf, ${misc:Depends},liblog4j1.2-java,libjsch-java (>= 0.1.42),libjdom1-java (>= 1.1), libcommons-lang-java (>=2.4), libcommons-logging-java (>=1.1),libquartz-java(>=1.6),libxerces2-java
 Description: BioMAJ web interface
  BioMAJ watcher provide a management interface for the BiomAJ tool.
  It runs in a web container (tomcat) and is accessible at address:

Modified: trunk/packages/biomaj-watcher/trunk/debian/postinst
===================================================================
--- trunk/packages/biomaj-watcher/trunk/debian/postinst	2011-03-30 11:45:22 UTC (rev 6403)
+++ trunk/packages/biomaj-watcher/trunk/debian/postinst	2011-03-30 12:15:08 UTC (rev 6404)
@@ -5,16 +5,15 @@
 # Source debconf library.
 . /usr/share/debconf/confmodule
 
-#DEBHELPER#
+case "$1" in
+    configure)
 
-
 biomajwatcher_root="/usr/share/biomaj-watcher"
 
 bmajconf="/etc/biomaj-watcher"
 
 bmajroot="/usr/share/biomaj"
 
-
 db_get biomaj/login
 app_login="$RET"
 db_get biomaj/password
@@ -36,7 +35,16 @@
 
 java -cp $biomajwatcher_root/bin WatcherConfigurator bmajroot:=$bmajroot bmajconf:=$bmajconf use_ldap:=$use_ldap ldap_host:=$ldap_host ldap_dn:=$ldap_dn opt_filter:=$opt_filter app_login:=$app_login app_passwd:=$app_passwd
 
+# Copy required libs
 mkdir -p /usr/share/java/webapps/biomaj-watcher/WEB-INF/lib
+cp /usr/share/java/xercesImpl.jar debian/biomaj-watcher/usr/share/java/webapps/biomaj-watcher/WEB-INF/lib/
+cp /usr/share/java/commons-lang.jar debian/biomaj-watcher/usr/share/java/webapps/biomaj-watcher/WEB-INF/lib/
+cp /usr/share/java/commons-logging.jar debian/biomaj-watcher/usr/share/java/webapps/biomaj-watcher/WEB-INF/lib/
+cp /usr/share/java/jdom.jar debian/biomaj-watcher/usr/share/java/webapps/biomaj-watcher/WEB-INF/lib/
+cp /usr/share/java/jsch.jar debian/biomaj-watcher/usr/share/java/webapps/biomaj-watcher/WEB-INF/lib/
+cp /usr/share/java/log4j-1.2.jar debian/biomaj-watcher/usr/share/java/webapps/biomaj-watcher/WEB-INF/lib/
+cp /usr/share/java/quartz.jar debian/biomaj-watcher/usr/share/java/webapps/biomaj-watcher/WEB-INF/lib/
+
 cp /usr/share/biomaj/lib/biomaj.jar /var/lib/tomcat6/shared/
 
 cp /etc/biomaj-watcher/BmajWatcher*.xml /var/lib/tomcat6/conf/Catalina/localhost/
@@ -58,3 +66,18 @@
 
 echo "WARNING: tomcat server may need a restart"
 
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+
+#DEBHELPER#
+
+

Modified: trunk/packages/biomaj-watcher/trunk/debian/postrm
===================================================================
--- trunk/packages/biomaj-watcher/trunk/debian/postrm	2011-03-30 11:45:22 UTC (rev 6403)
+++ trunk/packages/biomaj-watcher/trunk/debian/postrm	2011-03-30 12:15:08 UTC (rev 6404)
@@ -5,8 +5,8 @@
 # Source debconf library.
 . /usr/share/debconf/confmodule
 
-#DEBHELPER#
-
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
 # Remove all
 if [ -e /var/lib/tomcat6/webapps/BmajWatcher.war ]; then
     rm  /var/lib/tomcat6/webapps/BmajWatcher.war
@@ -19,4 +19,14 @@
 if [ -e /usr/share/java/webapps/biomaj-watcher ]; then
     rm  -rf /usr/share/java/webapps/biomaj-watcher
 fi
+    ;;
 
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+

Modified: trunk/packages/biomaj-watcher/trunk/debian/prerm
===================================================================
--- trunk/packages/biomaj-watcher/trunk/debian/prerm	2011-03-30 11:45:22 UTC (rev 6403)
+++ trunk/packages/biomaj-watcher/trunk/debian/prerm	2011-03-30 12:15:08 UTC (rev 6404)
@@ -5,6 +5,9 @@
 # Source debconf library.
 . /usr/share/debconf/confmodule
 
+
+case "$1" in
+    remove|upgrade|deconfigure)
 # Remove post installation created files
 
 # Remove admin credentials
@@ -24,4 +27,16 @@
     rm /usr/share/biomaj-watcher/bin/WatcherConfigurator.class
 fi
 
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+
 #DEBHELPER#




More information about the debian-med-commit mailing list